FREEFOAM-SURFACEMESHTRIANGULATE(1)

NAME
freefoam-surfaceMeshTriangulate - Extracts triSurface from a polyMesh.

SYNOPSIS

freefoam surfaceMeshTriangulate <output file> [-patches <(patch0 .. patchN)>] [-excludeProcPatches] [-help] [-srcDoc] [-doc] [-parallel] [-case <dir>]

DESCRIPTION

Triangulates all boundary faces. Region numbers on triangles are the patch numbers of the polyMesh. Optionally only triangulates named patches.

If run in parallel the processor patches get filtered out by default and the mesh gets merged. (based on vertex position, not topology, so might go wrong!).

OPTIONS

<output file>
    TODO Detailed description of argument.

-patches <(patch0 .. patchN)>
    List of patches.

-excludeProcPatches
    If not run parallel, exclude processor patches.

-case <dir>
    Case directory.

-parallel
    Run in parallel.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.